Opened 4 years ago

Closed 4 years ago

#184 closed defect (worksforme)

websearch: find a ellis, john and not a ellis, john r

Reported by: jblayloc Owned by: jblayloc
Priority: major Milestone:
Component: WebSearch Version:
Keywords: INSPIRE Syntax NEWS Cc:

Description

Moved from https://savannah.cern.ch/task/?13986

2010-02-16 20:47, original submission:

This search (find a ellis, john and not a ellis, john r) returns records with author "ellis, J.R" such records are returned by "find a ellis, john" and also by "find a ellis, john r" thus they must be excluded from the disjunction of the two sets, but they are not. We have not traced the bug yet.

2010-04-01 17:43, comment #1:

This is mostly fixed in a branch that Joe and I are working on

The author search routines expand the second search into several, but they were not parenthesized, so the and not was not distributed.

This is fixed, but fails if parens are nested

2010-04-23 23:34, comment #2:

This appears to be causing all searches of the form:

find a bar, i. and author foo, j.

to fail. We believe the best solution is to fix nested parens, since the author handling generates parens in these cases...

Change History (3)

comment:1 Changed 4 years ago by jblayloc

  • Component changed from *general* to WebSearch
  • Keywords NEWS added
  • Status changed from new to assigned

comment:2 Changed 4 years ago by jblayloc

  • Status changed from assigned to in_merge

This appears to already be fixed in main; prod, dev, and my own instance appear to work correctly. Our test deployment on tislnx1 doesn't work, but I think that's because it was cloned from a backup with broken indexes.

comment:3 Changed 4 years ago by jblayloc

  • Resolution set to worksforme
  • Status changed from in_merge to closed

I think it must have been fixed as a side effect of some previous patch committed in the intervening 4 months...

Note: See TracTickets for help on using tickets.